Problem with linux-source-2.6.28 v 2.6.28-15.51

Stefan Bader stefan.bader at canonical.com
Wed Sep 2 14:04:14 BST 2009


Wojtek Jamrozy wrote:
> Hello,
> I'm user of package linux-source-2.6.2 8.
> I'm afraid that linux-source-2.6.28 v 2.6.28-15.51 contains sources for
> 2.6.28.10 kernel.

Not quite correct. The kernel sources are based on the 2.6.28.10 stable 
release. We do not modify the information in the kernel makefile.

> 1. I use file linux-source-2.6.28.tar.bz2 modified 31st august 2009,
> 17:40:49 (md5 0a9ec7fb8e969336fc3de6bbf6eb0680)
> 2. I've checked include/config/kenernel.release and I have:
> 2.6.28.10
> Automatically generated .config file has also infrmation about 2.6.28.10
> version
> Best wishes
> Wojtekrj
> 
> 

So the linux-source package contains the right source code but is missing the 
debian build environment which would set the right version information.
To get sources which can be used to generate the correctly versioned packages, 
either use the git tree from git://kernel.ubuntu.com/git/ubuntu-jaunty.git or 
get the source package with "apt-get source linux-image-2.6.28-15-generic"

-Stefan

-- 

When all other means of communication fail, try words!





More information about the kernel-team mailing list